rte_mempool_ops(3)

NAME
rte_mempool_ops

SYNOPSIS

#include <rte_mempool.h>

  Data Fields

char name [RTE_MEMPOOL_OPS_NAMESIZE]
rte_mempool_alloc_t alloc
rte_mempool_free_t free
rte_mempool_enqueue_t enqueue
rte_mempool_dequeue_t dequeue
rte_mempool_get_count get_count
rte_mempool_calc_mem_size_t calc_mem_size
rte_mempool_populate_t populate
rte_mempool_get_info_t get_info
rte_mempool_dequeue_contig_blocks_t dequeue_contig_blocks

Detailed Description

Structure defining mempool operations structure

Definition at line 692 of file rte_mempool.h.

Field Documentation

  char name[RTE_MEMPOOL_OPS_NAMESIZE]
Name of mempool ops struct.

Definition at line 693 of file rte_mempool.h.

  rte_mempool_alloc_t alloc
Allocate private data.

Definition at line 694 of file rte_mempool.h.

  rte_mempool_free_t free
Free the external pool.

Definition at line 695 of file rte_mempool.h.

  rte_mempool_enqueue_t enqueue
Enqueue an object.

Definition at line 696 of file rte_mempool.h.

  rte_mempool_dequeue_t dequeue
Dequeue an object.

Definition at line 697 of file rte_mempool.h.

  rte_mempool_get_count get_count
Get qty of available objs.

Definition at line 698 of file rte_mempool.h.

  rte_mempool_calc_mem_size_t calc_mem_size
Optional callback to calculate memory size required to store specified number of objects.

Definition at line 703 of file rte_mempool.h.

  rte_mempool_populate_t populate
Optional callback to populate mempool objects using provided memory chunk.

Definition at line 708 of file rte_mempool.h.

  rte_mempool_get_info_t get_info
Get mempool info

Definition at line 712 of file rte_mempool.h.

  rte_mempool_dequeue_contig_blocks_t dequeue_contig_blocks
Dequeue a number of contiguous object blocks.

Definition at line 716 of file rte_mempool.h.

Author

Generated automatically by Doxygen for DPDK from the source code.